com.unitech.lib.types

## Enum DataCollectionMode

- java.lang.Object
- - java.lang.Enum<DataCollectionMode>
  - - com.unitech.lib.types.DataCollectionMode

- All Implemented Interfaces:
    Serializable, Comparable<DataCollectionMode>

      public enum DataCollectionMode
      extends Enum<DataCollectionMode>

  The OperationMode enum represents different types of operation modes. Each operation mode is associated with a unique byte value and a descriptive string message. The enum also provides methods to get the byte value and string message of an operation mode, and to get an operation mode from its byte value. It also provides a method to get an array containing the names of the operation modes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `auto`
    `batch`
    `semiAuto`
    `wedge`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataCollectionMode` | `fromValue(int value)` Gets an operation mode from its byte value.
    `byte` | `getCode()` Gets the byte value of the operation mode.
    `static String[]` | `names()` Returns an array containing the names of the operation mode constants.
    `String` | `toString()` Returns the string message of the operation mode.
    `static DataCollectionMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DataCollectionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### wedge

          public static final DataCollectionMode wedge

    - #### auto

          public static final DataCollectionMode auto

    - #### batch

          public static final DataCollectionMode batch

    - #### semiAuto

          public static final DataCollectionMode semiAuto

  - ### Method Detail

    - #### values

          public static DataCollectionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataCollectionMode c : DataCollectionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataCollectionMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

      Gets the byte value of the operation mode.
      Returns:
        The byte value of the operation mode.

    - #### toString

          public String toString()

      Returns the string message of the operation mode.
      Overrides:
        `toString` in class `Enum<DataCollectionMode>`
      Returns:
        The string message of the operation mode.

    - #### fromValue

          public static DataCollectionMode fromValue(int value)
                                              throws IllegalArgumentException

      Gets an operation mode from its byte value.
      Parameters:
        `value` - The byte value of the operation mode.
      Returns:
        The operation mode associated with the byte value.
      Throws:
        `IllegalArgumentException` - If the byte value does not correspond to any operation mode.

    - #### names

          public static String[] names()

      Returns an array containing the names of the operation mode constants.
      Returns:
        An array containing the names of the operation mode constants.